/*-
 * Copyright 2021 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.ade.foodwaterenergycitygml4j.landuse.model.xsd;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import net.opengis.gml.AbstractFeatureType;
import net.opengis.gml.CodeType;
import net.opengis.gml.ScaleType;

@XmlType(name = "EnergySurvey")
public class EnergySurveyType extends AbstractFeatureType {
	
	
	@XmlElement(name = "spaceHeatingDemand")
	private ScaleType spaceHeatingDemand;
	@XmlElement(name = "spaceCoolingDemand")
	private ScaleType spaceCoolingDemand;
	@XmlElement(name = "residentialElectricityDemand")
	private ScaleType residentialElectricityDemand;
	@XmlElement(name = "electricityPotentialFromPVBuildings")
	private ScaleType electricityPotentialFromPVBuildings;
	@XmlElement(name = "vegetationCoverCategory")
	private CodeType vegetationCoverCategory;
	@XmlElement(name = "biomassPrimaryEnergyPotential")
	private ScaleType biomassPrimaryEnergyPotential;
	@XmlElement(name = "biomassToEnergyWoods")
	private ScaleType biomassToEnergyWoods;
	@XmlElement(name = "biomassToBiogas")
	private ScaleType biomassToBiogas;
	@XmlElement(name = "biomassToPlantOil")
	private ScaleType biomassToPlantOil;
	@XmlElement(name = "biomassToBioethanol")
	private ScaleType biomassToBioethanol;
	@XmlElement(name = "biomassToResidualSolidFuel")
	private ScaleType biomassToResidualSolidFuel;
	@XmlElement(name = "biomassToSolidFuel")
	private ScaleType biomassToSolidFuel;
	@XmlElement(name = "biomassToElectricityPotential")
	private ScaleType biomassToElectricityPotential;
	@XmlElement(name = "biomassToThermalPotential")
	private ScaleType biomassToThermalPotential;
	
	public ScaleType getSpaceHeatingDemand() {
		return spaceHeatingDemand;
	}
	public void setSpaceHeatingDemand(ScaleType spaceHeatingDemand) {
		this.spaceHeatingDemand = spaceHeatingDemand;
	}
	public ScaleType getSpaceCoolingDemand() {
		return spaceCoolingDemand;
	}
	
	public void setSpaceCoolingDemand(ScaleType spaceCoolingDemand) {
		this.spaceCoolingDemand = spaceCoolingDemand;
	}
	public ScaleType getResidentialElectricityDemand() {
		return residentialElectricityDemand;
	}
	public void setResidentialElectricityDemand(ScaleType residentialElectricityDemand) {
		this.residentialElectricityDemand = residentialElectricityDemand;
	}
	public ScaleType getElectricityPotentialFromPVBuildings() {
		return electricityPotentialFromPVBuildings;
	}
	public void setElectricityPotentialFromPVBuildings(ScaleType electricityPotentialFromPVBuildings) {
		this.electricityPotentialFromPVBuildings = electricityPotentialFromPVBuildings;
	}
	public CodeType getVegetationCoverCategory() {
		return vegetationCoverCategory;
	}
	public void setVegetationCoverCategory(CodeType vegetationCoverCategory) {
		this.vegetationCoverCategory = vegetationCoverCategory;
	}
	public ScaleType getBiomassPrimaryEnergyPotential() {
		return biomassPrimaryEnergyPotential;
	}
	public void setBiomassPrimaryEnergyPotential(ScaleType biomassPrimaryEnergyPotential) {
		this.biomassPrimaryEnergyPotential = biomassPrimaryEnergyPotential;
	}
	public ScaleType getBiomassToEnergyWoods() {
		return biomassToEnergyWoods;
	}
	public void setBiomassToEnergyWoods(ScaleType biomassToEnergyWoods) {
		this.biomassToEnergyWoods = biomassToEnergyWoods;
	}
	public ScaleType getBiomassToBiogas() {
		return biomassToBiogas;
	}
	public void setBiomassToBiogas(ScaleType biomassToBiogas) {
		this.biomassToBiogas = biomassToBiogas;
	}
	public ScaleType getBiomassToPlantOil() {
		return biomassToPlantOil;
	}
	public void setBiomassToPlantOil(ScaleType biomassToPlantOil) {
		this.biomassToPlantOil = biomassToPlantOil;
	}
	public ScaleType getBiomassToBioethanol() {
		return biomassToBioethanol;
	}
	public void setBiomassToBioethanol(ScaleType biomassToBioethanol) {
		this.biomassToBioethanol = biomassToBioethanol;
	}
	public ScaleType getBiomassToResidualSolidFuel() {
		return biomassToResidualSolidFuel;
	}
	public void setBiomassToResidualSolidFuel(ScaleType biomassToResidualSolidFuel) {
		this.biomassToResidualSolidFuel = biomassToResidualSolidFuel;
	}
	public ScaleType getBiomassToSolidFuel() {
		return biomassToSolidFuel;
	}
	public void setBiomassToSolidFuel(ScaleType biomassToSolidFuel) {
		this.biomassToSolidFuel = biomassToSolidFuel;
	}
	public ScaleType getBiomassToElectricityPotential() {
		return biomassToElectricityPotential;
	}
	public void setBiomassToElectricityPotential(ScaleType biomassToElectricityPotential) {
		this.biomassToElectricityPotential = biomassToElectricityPotential;
	}
	public ScaleType getBiomassToThermalPotential() {
		return biomassToThermalPotential;
	}
	public void setBiomassToThermalPotential(ScaleType biomassToThermalPotential) {
		this.biomassToThermalPotential = biomassToThermalPotential;
	}
}
